// SessionPropertiesProxyPage.cpp : implementation file
//

#include "stdafx.h"
#include "MirrorIt.h"
#include "SessionPropertiesProxyPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSessionPropertiesProxyPage property page

IMPLEMENT_DYNCREATE(CSessionPropertiesProxyPage, CPropertyPage)

CSessionPropertiesProxyPage::CSessionPropertiesProxyPage() : CPropertyPage(CSessionPropertiesProxyPage::IDD)
{
	//{{AFX_DATA_INIT(CSessionPropertiesProxyPage)
	m_BProxy = FALSE;
	m_ProxyServer = _T("");
	m_ProxyPort = 0;
	m_NoProxy = _T("");
	//}}AFX_DATA_INIT
}

CSessionPropertiesProxyPage::~CSessionPropertiesProxyPage()
{
}

void CSessionPropertiesProxyPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSessionPropertiesProxyPage)
	DDX_Check(pDX, IDC_BPROXY, m_BProxy);
	DDX_Text(pDX, IDC_PROXYSERVER, m_ProxyServer);
	DDX_Text(pDX, IDC_PROXYPORT, m_ProxyPort);
	DDV_MinMaxUInt(pDX, m_ProxyPort, 0, 32767);
	DDX_Text(pDX, IDC_NOPROXY, m_NoProxy);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSessionPropertiesProxyPage, CPropertyPage)
	//{{AFX_MSG_MAP(CSessionPropertiesProxyPage)
	ON_BN_CLICKED(IDC_BPROXY, OnBproxy)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSessionPropertiesProxyPage message handlers

void CSessionPropertiesProxyPage::SetProxy(BOOL b)
{
	GetDlgItem(IDC_PROXYSERVER) -> EnableWindow(b);
	GetDlgItem(IDC_PROXYPORT) -> EnableWindow(b);
	GetDlgItem(IDC_NOPROXY) -> EnableWindow(b);
}

void CSessionPropertiesProxyPage::OnBproxy() 
{
	SetProxy(((CButton *)GetDlgItem(IDC_BPROXY)) -> GetCheck() ? TRUE : FALSE);
}

BOOL CSessionPropertiesProxyPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	SetProxy(m_BProxy);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
